poj3628-DFS/0-1背包-DP/枚舉-資料比較弱、方法比較多

因為資料範圍20,所以直接枚舉是2^20,不會逾時。直接求組合就行。在N個數裡面取1個數,2個數。。。。N個數,求出一個最小差值就可以了。下面是組合的演算法--175MS#include<stdio.h>#include <stdlib.h>#include <string.h>#include <math.h>#define nMax 25int N,B;int height[nMax];int ans;int getSum(int

poj1655-又是一道簡單而又糾結的題目

題目很好理解,就是去掉樹上的一個節點,看看剩下的子樹中最大的是多少,然後在這些最大值中求一個最小值,如果有多個點都是最小值,那麼找一個序號最小的節點。輸出節點號,和最小值。 經過簡單分析,dfs深度優先搜尋可以解決,只需要求出每個節點下子樹的總結點個數即可。舉例說明:設有一棵樹20個節點,其中有一個節點為u,u有兩個孩子節點,設u以下有10個節點,兩個孩子分別有6和4個節點,那麼對於u來說,最大是多少,應該是20 -

poj3020-二分圖匹配

對於任意圖:|最小邊覆蓋|+|最大匹配|=|V|二分圖的最大匹配=最小點覆蓋數對於二分圖:以下數值等價.最大匹配最小點覆蓋|V|-最大獨立集(二分圖or有向非循環圖)|V|-最小邊覆蓋數|V|-最小路徑覆蓋數(有向非循環圖)|V|-最小路徑覆蓋數/2(無向圖)(上面括弧裡有有向非循環圖的,均是將一個點拆成兩個點連邊匹配)由於任意圖的那幾個幾乎用不到於是這裡只貼二分圖的定義最小點覆蓋:理解為點覆蓋邊,即用最小的點覆蓋所有的邊。(若一條邊的其中一個端點被選用,這條邊就被覆蓋了)最大獨立集:求一個最大

拓撲排序(poj2367,poj1094,etc)【拓撲No.1】

拓撲排序——Topological Sort;對一個有向非循環圖(Directed Acyclic Graph簡稱DAG)G進行拓撲排序,是將G中所有頂點排成一個線性序列,使得圖中任意一對頂點u和v,若<u,v> ∈E(G),則u線上性序列中出現在v之前。以上是灰常抽象的拓撲排序的定義哈;其實拓撲排序簡單說就是一些事件,某些必須在另外某些發生之前;比如穿襪和穿鞋;一般的題目可能會給一些事件,和一些發生次序,來求一個拓撲排序;分析一個拓撲圖A---->B----->C---

Uva 10125 Sumsets(中途相遇法,高效枚舉)

給定整數集合S,找一個最大的d,使得a+b+c=d,且a,b,c,d是S中不同元素。拆成 a+b=d-c ,算出所以a+b並排序,然後枚舉d,c,在二分尋找d-c。注意結果取d,c中的大者。#include <iostream>#include<cstdio>#include <cmath>#include <algorithm>using namespace std;int a[1005];struct bz{int x,y,ss;}sum[10

POJ1007【穩定排序是這麼個意思】【附map的用法】

大致題意:輸入m個長度為n的DNA序列,把他們按照逆序數從小到大穩定排序輸出。PS:“穩定排序”就是當序列中出現A1==A2時,排序前後A1與A2的相對位置不發生改變。 解題思路:沒難度,先求各個字串的逆序數,再按逆序數對字串快排,用qsort()函數。雖然快排不是穩定的排序,但是只要在定義定序函數cmp做適當處理,a==b時返回0,即不處理a和b,就不會改變他們之間的相對位置了。 快排是不穩定排序!! 但自己寫這個cmp,返回是return

poj poj 3126 Prime Path(BFS)

1033173337333739377987798179ans=6將1033變成8179的最少次數,每次變化只能改變一位,且改變後的四位元還是素數。#include <iostream>#include <queue>#include <cstring>using namespace std;struct gai{int x,step;}e;queue<gai> q;int bz[1000005];int allprim[10005];int

HDU 3724 Encoded Barcodes(trie樹)

Encoded BarcodesTime Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total Submission(s): 1167    Accepted Submission(s): 402Problem DescriptionAll the big malls need a powerful system for the products retrieval. Now

POJ 2418 Hardwood Species(trie 樹 MAP qsort)

Hardwood SpeciesTime Limit: 10000MS Memory Limit: 65536KTotal Submissions: 15439 Accepted: 6190DescriptionHardwoods are the botanical group of trees that have broad leaves, produce a fruit or nut, and generally go dormant in the winter. America's

POJ 3304 Segments(計算幾何 判斷直線與線段相交)

SegmentsTime Limit: 1000MS Memory Limit: 65536KTotal Submissions: 7833 Accepted: 2363DescriptionGiven n segments in the two dimensional space, write a program, which determines if there exists a line such that after projecting these segments on it,

HDU 1221 Rectangle and Circle(判斷圓與矩形是否相交)

這個題目算是比較簡單的題目,但是過的人不是很多,AC率也不是很高,主要是這個問題要注意和多細節,卡精度倒也沒那麼嚴格1、如果矩形的四個頂點到圓心的距離全部大於半徑,那麼顯然不會相交(很多人都死在這裡)2、把圓圓心按照矩形的邊滾一圈,圓所覆蓋的地區,只要圓心在這個地區內部就符合相交的條件具體判斷見下面代碼三種情況,離橫邊距離,豎邊距離,和四個頂點的距離#include <iostream>#include <string.h>#include <stdio.h>

POJ 2187 Beauty Contest(旋轉卡殼求點凸包直徑)

題目連結:http://poj.org/problem?id=2187這個題目做過,不過上次是直接枚舉的結果,這次換一種方法,旋轉卡殼來計算凸包直徑,這個方法比以前的要快好多主要思想就是用兩條平行線來夾住凸包,那麼不斷旋轉這兩條平行線,可想而知凸包的直徑一定就是兩條平行線和凸包頂點的交點的長度,這時候再枚舉就可以了!具體解說推薦一篇部落格:http://www.cnblogs.com/xdruid/archive/2012/07/01/2572303.html這個圖片就是那篇部落格上的圖片,可以

POJ 3608 Bridge Across Islands(旋轉卡殼 求不相交凸包之間的最短距離)

題目連結:http://poj.org/problem?id=3608表示旋轉卡殼這個演算法看起來比較好懂(雖然證明起來還是有一點難度的,但是只觀的看還是比較好理解的)但是代碼實現起來還是不怎麼好理解的關鍵在計算幾何這裡面要求盡量不涉及到角度的計算,基本上都是點積和差積,因為這樣能避免調用系統的三角函數,所以能最大限度的減少精度損失這個題目可以用枚舉方法,可以用凸包的單調性來剪枝,但是還是容易逾時但是旋轉卡殼演算法O(n)的複雜度,應該來說在漸進時間複雜度的意義上是最優的演算法了首先選取p的最低

HDU 3124 Moonmist(平面最近圓對,二分+掃描線)

題目連結:http://acm.hdu.edu.cn/showproblem.php?pid=3124這個題目開始拿到的時候就一心想用平面最近點對的方法去套,折騰了好一會都沒得出結果,無奈在網上搜解題報告發現這篇博文http://blog.sina.com.cn/s/blog_6e7b12310100qnex.html一看見二分半徑,似乎就明白了,可惜這個不是重點,重點是怎麼線上性時間內判斷是否存在相交的圓,這個就要用到掃描線的方法,這個方法我看了好一會才有點眉目,閱讀了大神的代碼後自己嘗試寫的

DropDownList 的資料繫結

要在DataGrid中使用DropDownList 需要使用到1。DataGrid的DataGrid_ItemDataBound(object sender, System.Web.UI.WebControls.DataGridItemEventArgs

POJ 2187 Beauty Contest(凸包暴力法)

Beauty ContestTime Limit: 3000MS Memory Limit: 65536KTotal Submissions: 24124 Accepted: 7364DescriptionBessie, Farmer John's prize cow, has just won first place in a bovine beauty contest, earning the title 'Miss Cow World'. As a result, Bessie will

POJ 3368 Frequent values(RMQ 區間出現頻率最多數字次數)

題目連結:http://poj.org/problem?id=3368題意:給定n個升序數組,然後輸入查詢區間,要求輸出這個區間內相同數位最大個數解題思路:RMQ演算法其實這個題目想到怎麼用RMQ演算法就基本上搞定了,如果想不到那麼就要費事一點了其實這個題目痛點在於輸入的查詢區間不固定,有可能一串相連的的相同數位被查詢區間分割開了那麼這樣就比較麻煩了,處理起來也比較費事,可是稍微想一下,可以把一個查詢分開成兩個部分來查詢,一個是前面部分被分割的部分,一個是後面的部分在用RMQ初始化之間我們先做了

POJ1035【字串處理】

 題目連結:http://poj.org/problem?id=1035 #include <iostream>#include <cstdio>#include <cstring>#include <vector>#include <algorithm>using namespace std;struct vv{ char s[20]; int id;}v[10005];int cnt=0;int cmp(struct

HDU 4618 Palindrome Sub-Array(最大迴文子矩陣)

Palindrome Sub-ArrayTime Limit: 3000/1000 MS (Java/Others)    Memory Limit: 65535/32768 K (Java/Others)Total Submission(s): 162    Accepted Submission(s): 72Problem Description  A palindrome sequence is a sequence which is as same as its reversed

HDU 3277 City Horizon(線段樹 + 離散化)

題目連結:http://poj.org/problem?id=3277這個題目算是我真正意義上做的第一個離散化和線段樹結合的題目,做了很長時間,不斷打補丁最終才AC,從這個題目中我學到了很多1、離散化的思想2、線段樹的數組下標建樹方式(以前全部都是在數組上用指標建立樹)3、L>>1+1是先做1+1,也就是說L>>1+1 <==> L>>2

總頁數: 61357 1 .... 8592 8593 8594 8595 8596 .... 61357 Go to: 前往

聯繫我們

該頁面正文內容均來源於網絡整理,並不代表阿里雲官方的觀點,該頁面所提到的產品和服務也與阿里云無關,如果該頁面內容對您造成了困擾,歡迎寫郵件給我們,收到郵件我們將在5個工作日內處理。

如果您發現本社區中有涉嫌抄襲的內容,歡迎發送郵件至: info-contact@alibabacloud.com 進行舉報並提供相關證據,工作人員會在 5 個工作天內聯絡您,一經查實,本站將立刻刪除涉嫌侵權內容。

A Free Trial That Lets You Build Big!

Start building with 50+ products and up to 12 months usage for Elastic Compute Service

  • Sales Support

    1 on 1 presale consultation

  • After-Sales Support

    24/7 Technical Support 6 Free Tickets per Quarter Faster Response

  • Alibaba Cloud offers highly flexible support services tailored to meet your exact needs.